from fred_api.registry.domain import domain_common_types_pb2 as _domain_common_types_pb2
from fred_api.registry.nsset import nsset_common_types_pb2 as _nsset_common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class NssetDoesNotExist(_message.Message):
    __slots__ = ()
    def __init__(self) -> None: ...

class ListDomainsByNssetRequest(_message.Message):
    __slots__ = ("nsset_id",)
    NSSET_ID_FIELD_NUMBER: _ClassVar[int]
    nsset_id: _nsset_common_types_pb2.NssetId
    def __init__(self, nsset_id: _Optional[_Union[_nsset_common_types_pb2.NssetId, _Mapping]] = ...) -> None: ...

class ListDomainsByNssetReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("domains",)
        DOMAINS_FIELD_NUMBER: _ClassVar[int]
        domains: _containers.RepeatedCompositeFieldContainer[_domain_common_types_pb2.DomainRef]
        def __init__(self, domains: _Optional[_Iterable[_Union[_domain_common_types_pb2.DomainRef, _Mapping]]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("nsset_does_not_exist",)
        NSSET_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        nsset_does_not_exist: NssetDoesNotExist
        def __init__(self, nsset_does_not_exist: _Optional[_Union[NssetDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: ListDomainsByNssetReply.Data
    exception: ListDomainsByNssetReply.Exception
    def __init__(self, data: _Optional[_Union[ListDomainsByNssetReply.Data, _Mapping]] = ..., exception: _Optional[_Union[ListDomainsByNssetReply.Exception, _Mapping]] = ...) -> None: ...
